<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#40000000"
    tools:context="cn.tee3.demo.activity.MeetingActivity">

    <android.support.v4.view.ViewPager
        android:id="@+id/viewpager"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/ll_bottom_tool"
        android:visibility="visible"/>

    <LinearLayout
        android:id="@+id/ll_bottom_tool"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingBottom="10dp"
        android:paddingTop="10dp">

        <LinearLayout
            android:id="@+id/ll_microphone"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="#00000000"
            android:focusable="true"
            android:gravity="center"
            android:nextFocusRight="@+id/ll_camera"
            android:nextFocusUp="@+id/viewpager"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_microphone"
                android:layout_width="28dp"
                android:layout_height="30dp"
                android:scaleType="fitCenter"
                android:src="@drawable/img_close_microphone" />

            <TextView
                android:id="@+id/tv_microphone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="音频"
                android:textColor="@android:color/white"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_camera"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="#00000000"
            android:focusable="true"
            android:gravity="center"
            android:nextFocusLeft="@+id/ll_microphone"
            android:nextFocusRight="@+id/ll_share"
            android:nextFocusUp="@+id/viewpager"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_camera"
                android:layout_width="28dp"
                android:layout_height="30dp"
                android:scaleType="fitCenter"
                android:src="@drawable/img_close_camera" />

            <TextView
                android:id="@+id/tv_camera"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="视频"
                android:textColor="@android:color/white"
                android:textSize="12sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_switch"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="#00000000"
            android:focusable="true"
            android:gravity="center"
            android:nextFocusLeft="@+id/ll_camera"
            android:nextFocusRight="@+id/ll_users"
            android:nextFocusUp="@+id/viewpager"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_share"
                android:layout_width="28dp"
                android:layout_height="30dp"
                android:scaleType="fitCenter"
                android:background="@drawable/img_switch_camera" />

            <TextView
                android:id="@+id/tv_share"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="摄像头切换"
                android:textColor="@android:color/white"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_users"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="#00000000"
            android:focusable="true"
            android:gravity="center"
            android:nextFocusLeft="@+id/ll_camera"
            android:nextFocusRight="@+id/ll_users"
            android:nextFocusUp="@+id/viewpager"
            android:orientation="vertical">

            <ImageView
                android:layout_width="28dp"
                android:layout_height="30dp"
                android:scaleType="fitXY"
                android:background="@drawable/ic_users" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="参会者"
                android:textColor="@android:color/white"
                android:textSize="12sp" />
        </LinearLayout>
    </LinearLayout>


    <LinearLayout
        android:id="@+id/ll_usersList"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="#d02b2b2b"
        android:layout_above="@+id/ll_bottom_tool"
        android:layout_marginBottom="5dp"
        android:visibility="gone"
        android:paddingTop="10dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="『参会者列表』"
            android:textSize="20sp"
            android:layout_marginBottom="15dp"/>

        <android.support.v7.widget.RecyclerView
            android:id="@+id/recyclerView_users"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
        </android.support.v7.widget.RecyclerView>

    </LinearLayout>
</RelativeLayout>
